## pygame 1.9.6+dfsg

=== debian/changelog ===
pygame (1.9.6+dfsg-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Regenerate Cython source during build. Needed for Python 3.9
    compatibility.
  * Patch: Replace long-deprecated Thread.isAlive() with .is_alive()
  * Patch: Replace array.tostring() with tobytes().
  * Patch: Fix build failures on Sphinx 3. (Closes: #963639)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 18 Oct 2020 08:08:21 -0700

pygame (1.9.6+dfsg-3) unstable; urgency=medium

  * debian/patches/PR1299.patch
    - fix doc build with newer versions of Sphinx; Closes: #955119
  * Drop python2 support; Closes: #937441

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Jun 2020 02:48:40 -0400

=== debian/control ===
Source: pygame
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ed Boraas <ed@debian.org>,
 A Mennucc1 <mennucc1@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Dominik George <natureshadow@debian.org>,
Build-Depends:
 cython3,
 debhelper-compat (= 11),
 dh-python,
 fluid-soundfont-gm,
 fontconfig,
 fonts-freefont-ttf,
 libfreetype6-dev,
 libjpeg-dev,
 libpng-dev,
 libportmidi-dev [linux-any],
 libsdl-image1.2-dev (>= 1.2.0-1.1),
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-ttf2.0-dev (>= 1.2.2-1.1),
 libsdl1.2-dev (>= 1.2.2-3.1),
 timgm6mb-soundfont,
 python3-all-dev,
 python3-numpy,
 python3-setuptools,
 python3-sphinx,
 sharutils,
 xauth,
 xvfb,
Build-Conflicts:
 python3.2-dev (<< 3.2.3-7),
Standards-Version: 4.4.1
Homepage: http://www.pygame.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pygame.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pygame
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pygame
Architecture: any
Depends:
 fonts-freefont-ttf,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pygame-doc,
 timidity,
Description: SDL bindings for games development (Python 3)
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This is the Python 3 version of the package.

Package: python-pygame-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 fonts-freefont-ttf,
Description: SDL bindings for games development in Python (documentation)
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This package contains Pygame's API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pygame

export PYBUILD_BUILD_ARGS = cython

# Replace embedded font with system copy
export PYBUILD_AFTER_INSTALL = ln -sf /usr/share/fonts/truetype/freefont/FreeSansBold.ttf \
                                      {destdir}/{install_dir}/pygame/freesansbold.ttf

# setup.py only installs data during install, not build
export PYBUILD_BEFORE_TEST = cp {dir}/src_py/pygame_icon.bmp {build_dir}/pygame; \
                             cp /usr/share/fonts/truetype/freefont/FreeSansBold.ttf \
                                {build_dir}/pygame/freesansbold.ttf; \
                             ln -sf {dir}/examples/data {build_dir}/pygame/examples; \
                             ln -sf {dir}/test/fixtures {build_dir}/pygame/tests/

export ORIGLIBDIRS := /lib:/lib/$(DEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# Removed from +dfsg, but tests need it:
	ln -fs /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf test/fixtures/fonts/test_sans.ttf
	# buildds don't provide graphical interfaces or audio/video devices
	# to test with, hence some tests won't work properly without:
	SDL_VIDEODRIVER=dummy SDL_AUDIODRIVER=disk LC_ALL=C.UTF-8 \
		dh_auto_test -- --system=custom --test-args \
		'/usr/bin/xvfb-run {interpreter} -m pygame.tests.__main__ --exclude opengl'

override_dh_install:
	dh_install
	dh_numpy3
	rm -f debian/python*-pygame/usr/lib/python*/dist-packages/pygame/LGPL
	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/examples/
	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/tests/
	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/docs/
	for d in debian/python3-pygame/usr/include/python*; do \
		[ "$$d" = *m ] || mv "$$d" "$$d"m; \
	done

override_dh_installdocs:
	python3 setup.py build_sphinx
	dh_installdocs

override_dh_compress:
	dh_compress -ppython-pygame-doc -Xexamples/
	dh_compress --remaining-packages

## pygame 1.9.6+dfsg-2build1+9.0trisquel3

=== debian/changelog ===
pygame (1.9.6+dfsg-2build1+9.0trisquel3) etiona; urgency=medium

  * Backported from focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 24 Nov 2021 11:10:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: pygame
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Ed Boraas <ed@debian.org>,
  A Mennucc1 <mennucc1@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
  Dominik George <natureshadow@debian.org>,
 Build-Depends:
- cython3,
  debhelper-compat (= 11),
  dh-python,
  fluid-soundfont-gm,
@@ -23,6 +22,9 @@
  libsdl-ttf2.0-dev (>= 1.2.2-1.1),
  libsdl1.2-dev (>= 1.2.2-3.1),
  timgm6mb-soundfont,
+ python-all-dev (>= 2.6.6-3~),
+ python-numpy,
+ python-setuptools (>= 0.6b3),
  python3-all-dev,
  python3-numpy,
  python3-setuptools,
@@ -34,10 +36,31 @@
  python3.2-dev (<< 3.2.3-7),
 Standards-Version: 4.4.1
 Homepage: http://www.pygame.org/
-Vcs-Git: https://salsa.debian.org/python-team/packages/pygame.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/pygame
+Vcs-Git: https://salsa.debian.org/python-team/modules/pygame.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pygame
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
+
+Package: python-pygame
+Architecture: any
+Depends:
+ fonts-freefont-ttf,
+ python-numpy,
+ ${misc:Depends},
+ ${python:Depends},
+ python (>= 2.6.6-3~),
+ ${shlibs:Depends},
+Suggests:
+ python-pygame-doc,
+ timidity,
+Description: SDL bindings for games development (Python 2)
+ A multimedia development kit for Python. Pygame provides modules for you
+ to access the video display, play sounds, track time, read the mouse and
+ joystick, control the CD player, render true type fonts and more. It does
+ this using mainly the cross-platform SDL library, a lightweight wrapper
+ to OS-specific APIs.
+ .
+ This is the Python 2 version of the package.
 
 Package: python3-pygame
 Architecture: any

## pygame 2.1.2%2Bdfsg

=== debian/control ===
Source: pygame
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ed Boraas <ed@debian.org>,
 A Mennucc1 <mennucc1@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Dominik George <natureshadow@debian.org>,
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 fluid-soundfont-gm,
 fontconfig,
 fonts-freefont-ttf,
 libfreetype6-dev,
 libjpeg-dev,
 libpng-dev,
 libportmidi-dev [linux-any],
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 timgm6mb-soundfont,
 python3-all-dev,
 python3-numpy,
 python3-setuptools,
 python3-sphinx,
 sharutils,
 xauth,
 xvfb,
Build-Conflicts:
 python3.2-dev (<< 3.2.3-7),
Standards-Version: 4.6.0
Homepage: https://www.pygame.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pygame.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pygame
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pygame
Architecture: any
Depends:
 fonts-freefont-ttf,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pygame-doc,
 timidity,
Description: SDL bindings for games development (Python 3)
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This is the Python 3 version of the package.

Package: python-pygame-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 fonts-freefont-ttf,
Description: SDL bindings for games development in Python (documentation)
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This package contains Pygame's API documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -31,7 +30,7 @@
 	# to test with, hence some tests won't work properly without:
 	SDL_VIDEODRIVER=dummy SDL_AUDIODRIVER=disk LC_ALL=C.UTF-8 \
 		dh_auto_test -- --system=custom --test-args \
-		'/usr/bin/xvfb-run {interpreter} -m pygame.tests.__main__ --exclude opengl'
+		'/usr/bin/xvfb-run {interpreter} -m pygame.tests.__main__ -v --exclude opengl'
 
 override_dh_install:
 	dh_install
@@ -48,6 +47,10 @@
 	python3 setup.py build_sphinx
 	dh_installdocs
 
+override_dh_sphinxdoc:
+        # Ignore Korean documentation - it breaks dh_sphinxdoc (see bug 1008504)
+	dh_sphinxdoc -Xtut/ko
+
 override_dh_compress:
 	dh_compress -ppython-pygame-doc -Xexamples/
 	dh_compress --remaining-packages

## pygame 2.1.2+dfsg

=== buildconfig/Makefile ===
#fake Makefile for pygame, to support the common
# ./configure;make;make install

PYTHON = python

build: Setup setup.py
	$(PYTHON) setup.py build

install: Setup setup.py
	$(PYTHON) setup.py install

Setup:
	$(PYTHON) configure.py

check tests:
	$(PYTHON) run_tests.py

test: build test src
	$(PYTHON) run_tests.py

docs:
	$(PYTHON) makeref.py

clean:
	rm -rf build dist
	rm -f lib/*~ src/*~ test/*~
	rm -f lib/*.pyc src/*.pyc test/*.pyc test/test_utils/*.pyc
	rm -rf __pycache__ lib/__pycache__ test/__pycache__/ test/test_utils/__pycache__/
	# Sphinx generated files: makeref.py. See .gitignore
	rm -rf docs/generated/

=== debian/changelog ===
pygame (2.1.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with SDL 2.26.0 (Closes: #1026483).
    Thanks Sebastiaan Couwenberg.

 -- Andrius Merkys <merkys@debian.org>  Thu, 29 Dec 2022 02:40:10 -0500

pygame (2.1.2+dfsg-4) unstable; urgency=medium

  * Team upload
  * d/p/Don-t-assume-that-each-SDL-minor-version-is-incompatible-.patch:
    Add patch to fix new SDL minor version being considered incompatible
    (Closes: #1018087)
  * d/p/skip-test_src_alpha_sdl2_blitter.patch:
    Also skip blitter test on riscv64 (Closes: #1018688)
  * d/p/skip-tests-big-endian.patch:
    Add upstream bug reference
  * Update syntax of Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)
  * d/rules: Force regeneration of documentation at build time
  * Add Lintian override for generated documentation.
    The upstream source release includes generated documentation, but it
    also includes the source code for that documentation.

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Aug 2022 13:47:50 +0100

pygame (2.1.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Reenable test_flip_alpha as it passes on all arches
  * Skip additional tests that fail only on big-endian arches

 -- Scott Talbert <swt@techie.net>  Tue, 29 Mar 2022 20:29:49 -0400

pygame (2.1.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Disable test_src_alpha_sdl2_blitter on additional arches
  * Print out test results verbosely

 -- Scott Talbert <swt@techie.net>  Mon, 28 Mar 2022 19:51:49 -0400

pygame (2.1.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Make sure watch file will only report release versions
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Update renamed lintian tag names in lintian overrides.
  * Fix day-of-week for changelog entries 1.5.5-1, 1.2-2.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Scott Talbert ]
  * Update to new upstream release 2.1.2 (Closes: #973352, #1005438)
  * Update patches / remove upstream patches
  * Ignore Korean documentation (breaks dh_sphinxdoc)
  * Update d/copyright for removed/moved files
  * Add lintian overrides for missing-sources (falses positives)

 -- Scott Talbert <swt@techie.net>  Sun, 27 Mar 2022 22:58:09 -0400

pygame (1.9.6+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.10 support.
  * Patch: Make mixer module PY_SSIZE_T_CLEAN.
  * Patch: Pass integers to Rect.inflate()

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Nov 2021 17:03:15 -0400

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  xvfb,
 Build-Conflicts:
  python3.2-dev (<< 3.2.3-7),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.pygame.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pygame.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pygame

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	done
 
 override_dh_installdocs:
+	python3 setup.py docs -f
 	python3 setup.py build_sphinx
 	dh_installdocs

## pygame 2.1.2+dfsg-3+11.0trisquel1

=== debian/changelog ===
pygame (2.1.2+dfsg-3+11.0trisquel1) aramo; urgency=medium

  * Rebuild to use the latest SDL support on aramo. | Fix
    'SDL_CreateWindowFrom' in 'display' module

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 01 Apr 2024 04:23:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pygame
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Ed Boraas <ed@debian.org>,
  A Mennucc1 <mennucc1@debian.org>,
@@ -32,7 +32,7 @@
  xvfb,
 Build-Conflicts:
  python3.2-dev (<< 3.2.3-7),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.0
 Homepage: https://www.pygame.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pygame.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pygame

## pygame 2.5.1

=== debian/changelog ===
pygame (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS when built twice in a row. (Closes: #1045996)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 14 Aug 2023 11:40:05 -0700

pygame (2.5.0-2) unstable; urgency=medium

  * Add d/p/s390x-time-test.patch to fix FTBFS on s390x.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 03 Aug 2023 10:37:01 -0700

pygame (2.5.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1042567)
    - Fixes segfault with singularity. (Closes: #1009752)
    - Drop patches applied upstream:
      - Don-t-assume-that-each-SDL-minor-version-is-incompatible-.patch
      - fix_sdl_test_ftbfs.patch
      - pr3577-Adjust-surface-masks-to-create-a-proper-24-bit-Surface.patch
      - s390x_time_test.patch
      - skip-tests-big-endian.patch
      - increase-acceptable-sleep-jitter-on-riscv64.patch
    - Drop patches that should be obsolete:
      - python-3.10-int-inflate.patch
      - python-3.10-pyssize-t-clean.patch
      - skip_flaky_tests_on_le.patch
      - skip-test_src_alpha_sdl2_blitter.patch
    - Refresh remaining patches.
  * Stop repacking upstream tarball due to lack of DFSG-incompatible files.
    - Update debian/copyright.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 02 Aug 2023 21:34:40 -0700

pygame (2.1.2+dfsg-6) unstable; urgency=medium

  * d/p/fix_sdl_test_ftbfs.patch: Relax strict pixel match tests in
    test_src_alpha_sdl2_blitter. (Closes: #1042233)
  * d/p/s390x_time_test.patch: Skip flaky tests on s390x. (Closes: #1027310)
  * d/p/increase-acceptable-sleep-jitter-on-riscv64.patch: Fix flaky tests
    on riscv64. (Closes: #1018860)
  * Standards-Version: 4.6.2 (no changes required)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 26 Jul 2023 22:12:48 -0700

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,6 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-	# Removed from +dfsg, but tests need it:
-	ln -fs /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf test/fixtures/fonts/test_sans.ttf
 	# buildds don't provide graphical interfaces or audio/video devices
 	# to test with, hence some tests won't work properly without:
 	SDL_VIDEODRIVER=dummy SDL_AUDIODRIVER=disk LC_ALL=C.UTF-8 \

## pygame 2.5.2

=== debian/changelog ===
pygame (2.5.2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Ack previous NMUs, thanks!

  [ Bo YU ]
  * Team upload.
  * Fix test failed. (Closes: #1064708). Thanks to doko.
  * Add skip-local-doc-build.diff to pass salsa-ci.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Apr 2024 23:59:27 +0200

pygame (2.5.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Matthias Klose ]
  * Skip surface tests that fail when SDL_VIDEODRIVER=dummy #4169.
    (Closes: #1064708)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Apr 2024 00:36:09 +0200

pygame (2.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Python 3.12 issue in example code.
  * Ignore unaddress error in Test Machinery. Works around: #1058031.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jan 2024 06:32:39 +0100

pygame (2.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 18 Sep 2023 18:19:02 -0700

pygame (2.5.1-2) unstable; urgency=medium

  * Fix FTBFS with Sphinx 7. (Closes: #1042617)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 22 Aug 2023 03:01:38 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pygame
 Section: python
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ed Boraas <ed@debian.org>,
  A Mennucc1 <mennucc1@debian.org>,
@@ -14,7 +14,7 @@
  fluid-soundfont-gm,
  fontconfig,
  fonts-freefont-ttf,
- libfreetype6-dev,
+ libfreetype-dev,
  libjpeg-dev,
  libpng-dev,
  libportmidi-dev [linux-any],
@@ -32,7 +32,7 @@
  xvfb,
 Build-Conflicts:
  python3.2-dev (<< 3.2.3-7),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.pygame.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pygame.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pygame

=== debian/rules ===
--- 
+++ 
@@ -43,11 +43,11 @@
 
 override_dh_installdocs:
 	python3 setup.py docs -f
-	python3 setup.py build_sphinx
-	dh_installdocs
+	rm -rf docs/generated/doctrees/ docs/generated/*/doctrees/
+	dh_installdocs --exclude=LGPL.txt
 
 override_dh_sphinxdoc:
-        # Ignore Korean documentation - it breaks dh_sphinxdoc (see bug 1008504)
+	# Ignore Korean documentation - it breaks dh_sphinxdoc (see bug 1008504)
 	dh_sphinxdoc -Xtut/ko
 
 override_dh_compress:

## pygame 2.6.0

=== debian/changelog ===
pygame (2.6.0-2) unstable; urgency=medium

  * Fix i386-specific FTBFS by building with -msse2; add runtime dependency
    on sse2-support for i386.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 16 Aug 2024 22:37:01 -0700

pygame (2.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop patches applied upstream:
      - 4048.diff
      - 4169.diff
    - Add patch ignore-failing-mixer-test.patch.
    - Refresh remaining patches.
  * Update Standards version to 4.7.0, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 16 Aug 2024 20:02:36 -0700

## pygame 2.6.1

=== debian/changelog ===
pygame (2.6.1-3) unstable; urgency=medium

  * Team upload.
  * Update reference counts in tests for Python 3.14 (closes: #1121999).
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Dec 2025 19:43:01 +0000

pygame (2.6.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for libportmidi2 transition
  * Build-Depends: s/python3-numpy/python3-numpy-dev/ to support dh_numpy3
    properly
  * d/copyright: Remove old FSF address

 -- Andreas Tille <tille@debian.org>  Thu, 11 Sep 2025 17:07:59 +0200

pygame (2.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Skip flaky test on s390x. (Closes: #1087608)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 21 Nov 2024 02:09:19 -0800

=== debian/control ===
--- 
+++ 
@@ -22,28 +22,28 @@
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
- timgm6mb-soundfont,
  python3-all-dev,
- python3-numpy,
+ python3-numpy-dev,
  python3-setuptools,
  python3-sphinx,
  sharutils,
+ timgm6mb-soundfont,
  xauth,
  xvfb,
 Build-Conflicts:
  python3.2-dev (<< 3.2.3-7),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.pygame.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pygame.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pygame
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-pygame
 Architecture: any
 Depends:
  fonts-freefont-ttf,
  python3-numpy,
+ sse2-support [i386],
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -64,9 +64,9 @@
 Section: doc
 Multi-Arch: foreign
 Depends:
+ fonts-freefont-ttf,
  ${misc:Depends},
  ${sphinxdoc:Depends},
- fonts-freefont-ttf,
 Description: SDL bindings for games development in Python (documentation)
  A multimedia development kit for Python. Pygame provides modules for you
  to access the video display, play sounds, track time, read the mouse and
